<template id="entity_create"> 
  <div class="animated fadeIn">
    <div class="jarviswidget jarviswidget-sortable" id="wid-id-1"  role="widget">
				<header role="heading">
          <span class="widget-icon"> 
            <i class="fa fa-edit"></i> 
          </span>
					<h2>Manage Entity Types </h2>	

          <button v-show="!creationMode" @click="changeMode()" class="btn btn-primary btn-sm pull-right"><i class="icon-plus icons font-2xl"></i> <i class="fa fa-plus-square"></i> &nbsp; Create New Type</button>	
          <button v-show="creationMode" @click="changeMode()" class="btn btn-primary btn-sm pull-right"><i class="icon-plus icons font-2xl"></i> <i class="fa fa-level-up"></i> &nbsp; Up</button>		
					
				  <span class="jarviswidget-loader"><i class="fa fa-refresh fa-spin"></i></span>
        </header>

				<!-- widget div-->
				<div role="content">
					
					<!-- widget edit box -->
					<div class="jarviswidget-editbox">
						<!-- This area used as dropdown edit box -->
						
					</div>
					<!-- end widget edit box -->
					
					<!-- widget content -->
					<div class="widget-body no-padding">
										<div v-if="alert == true" class="alert alert-success no-margin fade in">
											<button class="close" data-dismiss="alert">
												×
											</button>
											<i class="fa-fw fa fa-info"></i>
                        Success .
                      </div>
										
										<div  class="table-responsive">
										
											<table class="table table-bordered table-striped table-condensed table-hover smart-form has-tickbox">
												<thead>
                          <tr>
                            <th>#</th>
                            <th>Name</th>
                            <th>Description</th>
                            <th>  </th>
                          </tr>
                        </thead>
                        <tbody v-show="!creationMode">
                          <tr  v-for="(type,index) in types" :key="index">
                            
                            <td>{{index + 1 }}</td>
                            <td>
                              <label class="input">
                                <input v-validate="'required|alpha_spaces'" v-model="type.SubTenantType" class="form-control" type="text" :name="'Name'+index">
                                <span class=" alert-danger" v-show="errors.has('Name'+index)">{{ errors.first('Name'+index) }}</span>
                              </label>
                            </td>
                            <td>
                              <label class="input">
                                <input v-validate="'required|alpha_spaces'" v-model="type.Description" class="form-control" type="text"  :name="'Description'+index">
                                <span class=" alert-danger" v-show="errors.has('Description'+index)">{{ errors.first('Description'+index) }}</span>
                              </label>
                            </td>
                            <td>
                              <!-- <span class="badge badge-success">Active</span> -->
                              <b-button @click="updateType(type)" class="btn btn-primary btn-sm"><i class="fa fa-dot-circle-o"></i>&nbsp; Update</b-button>
                              <b-button @click="deleteType(type)" class="btn btn-danger btn-sm"><i class="fa fa-remove"></i>&nbsp; Remove</b-button>
                              
                            </td>
                          </tr>
              
                         </tbody>
											
                      <tbody v-show="creationMode">
                          <tr >
                            
                            <td> </td>
                            <td>
                              <label class="input">
                                <input v-validate="'required|alpha_spaces'" v-model="c_type.SubTenantType" class="form-control" type="text" name="Name">
                                <span class=" alert-danger" v-show="errors.has('Name')">{{ errors.first('Name') }}</span>
                              </label>
                            </td>
                            <td>
                              <label class="input">
                                <input v-validate="'required|alpha_spaces'" v-model="c_type.Description" class="form-control" type="text" name="Description" >
                                <span class=" alert-danger" v-show="errors.has('Description')">{{ errors.first('Description') }}</span>
                              </label>
                            </td>
                            <td>
                              <!-- <span class="badge badge-success">Active</span> -->
                              <b-button @click="createType()" class="btn btn-primary btn-sm"><i class="fa fa-dot-circle-o"></i>&nbsp; Create</b-button>
                              
                            </td>
                          </tr>
              
                         </tbody>
											
                      
                      
                      
                      
                      
                      
                      </table>
											
										</div>
										
         

      
									</div>
					<!-- end widget content -->
					
				</div>
				<!-- end widget div -->
				
			</div>

  
  
  </div>
</template>

<script src="./manage"></script>
